extensions = (Dir['content/**/*.*'] - Dir['content/vendor/**/*.*']).map { |item| item.split('.').last }.uniq
extensions << 'rb'
server_port = ENV['PORT'] || '8888'
desc 'Runs a local server'
task :server => 'gettext:mo:update' do
  puts "Server available at http://localhost:#{server_port}"
  puts "Hit Control-C to stop"
  puts
  buildpid = fork do
    system 'rerun', '--no-notify', '--pattern', "**/*.{#{extensions.join(',')}}", '--background', '--exit', '--', 'rake'
  end
  begin
    ruby '-run', '-e', 'httpd', 'output/', '-p', server_port.to_s
  ensure
    Process.kill('TERM', buildpid)
  end
end

task :check do
  orig = Dir['content/**.md']
  missing = false
  orig.each do |page|
    translation = "content/en/#{File.basename(page)}"
    if File.exists?(translation)
      page_size = File.stat(page).size.to_f
      translation_size = File.stat(translation).size.to_f
      if page_size < 100
        puts "W: mostly empty page: #{page}"
      end
      if translation_size / page_size < 0.75
        puts "W: #{translation} looks too much smaller than #{page}; check translation"
      end
    else
      puts "W: missing translated page: #{translation}"
    end
  end
end

task :default => :check do
  sh 'nanoc'
end

require 'gettext/tools/task'
GetText::Tools::Task.define do |task|
  task.files = Dir['**/*.{rb,*.erb}']
  task.locales = ['pt_BR']
  task.domain = 'minidebconf'
end

task :mo => 'gettext:mo:update'
task :po => 'gettext:po:update'
